Bug 186350 - ICE coalesce_abnormal_edges
Summary: ICE coalesce_abnormal_edges
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-23 02:53 UTC by Jim Rees
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 14:08:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
c++ source file - not a useful program of any kind, just demos the ICE (683 bytes, text/plain)
2006-03-23 02:53 UTC, Jim Rees
no flags Details
preprocessed output auto-generated by failed compile (266.14 KB, text/plain)
2006-03-23 02:54 UTC, Jim Rees
no flags Details

Description Jim Rees 2006-03-23 02:53:20 UTC
Description of problem:

g++ on enclosed file generates the following error:

"internal compiler error: in coalesce_abnormal_edges, at tree-outof-ssa.c:646"

Version-Release number of selected component (if applicable): 4.1.0

How reproducible:  g++ -O1 -c <enclosed cpp file>

Steps to Reproduce:
1.  Attempt to compile the enclosed cpp file, with -O1 or higher optimization
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jim Rees 2006-03-23 02:53:20 UTC
Created attachment 126525 [details]
c++ source file - not a useful program of any kind, just demos the ICE

Comment 2 Jim Rees 2006-03-23 02:54:53 UTC
Created attachment 126526 [details]
preprocessed output auto-generated by failed compile

Comment 3 Jakub Jelinek 2006-04-06 14:08:25 UTC
Fixed in gcc-c++-4.1.0-5.


Note You need to log in before you can comment on or make changes to this bug.